diff --git a/gcc/tree-vect-data-refs.c b/gcc/tree-vect-data-refs.c
index ad924d8..c8c8f67 100644
--- a/gcc/tree-vect-data-refs.c
+++ b/gcc/tree-vect-data-refs.c
@@ -5097,7 +5097,7 @@ vect_grouped_store_supported (tree vectype, unsigned HOST_WIDE_INT count)
 	  unsigned int nelt;
 	  if (!GET_MODE_NUNITS (mode).is_constant (&nelt))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "cannot handle groups of 3 stores for"
 				 " variable-length vectors\n");
@@ -5124,7 +5124,7 @@ vect_grouped_store_supported (tree vectype, unsigned HOST_WIDE_INT count)
 	      indices.new_vector (sel, 2, nelt);
 	      if (!can_vec_perm_const_p (mode, indices))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    dump_printf (MSG_MISSED_OPTIMIZATION,
 				 "permutation op not supported by target.\n");
 		  return false;
@@ -5142,7 +5142,7 @@ vect_grouped_store_supported (tree vectype, unsigned HOST_WIDE_INT count)
 	      indices.new_vector (sel, 2, nelt);
 	      if (!can_vec_perm_const_p (mode, indices))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    dump_printf (MSG_MISSED_OPTIMIZATION,
 				 "permutation op not supported by target.\n");
 		  return false;
@@ -5176,7 +5176,7 @@ vect_grouped_store_supported (tree vectype, unsigned HOST_WIDE_INT count)
 	}
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     dump_printf (MSG_MISSED_OPTIMIZATION,
 		 "permutaion op not supported by target.\n");
   return false;
@@ -5689,7 +5689,7 @@ vect_grouped_load_supported (tree vectype, bool single_element_p,
      see PR65518).  */
   if (single_element_p && maybe_gt (count, TYPE_VECTOR_SUBPARTS (vectype)))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "single-element interleaving not supported "
 			 "for not adjacent vector loads\n");
@@ -5700,7 +5700,7 @@ vect_grouped_load_supported (tree vectype, bool single_element_p,
      be a power of two.  */
   if (count != 3 && exact_log2 (count) == -1)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "the size of the group of accesses"
 			 " is not a power of 2 or not equal to 3\n");
@@ -5716,7 +5716,7 @@ vect_grouped_load_supported (tree vectype, bool single_element_p,
 	  unsigned int nelt;
 	  if (!GET_MODE_NUNITS (mode).is_constant (&nelt))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "cannot handle groups of 3 loads for"
 				 " variable-length vectors\n");
@@ -5737,7 +5737,7 @@ vect_grouped_load_supported (tree vectype, bool single_element_p,
 	      indices.new_vector (sel, 2, nelt);
 	      if (!can_vec_perm_const_p (mode, indices))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    vect_location_writeln (OPT_RECORD_FAILURE,
 				     "shuffle of 3 loads is not supported by"
 				     " target\n");
@@ -5751,7 +5751,7 @@ vect_grouped_load_supported (tree vectype, bool single_element_p,
 	      indices.new_vector (sel, 2, nelt);
 	      if (!can_vec_perm_const_p (mode, indices))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    vect_location_writeln (OPT_RECORD_FAILURE,
 				     "shuffle of 3 loads is not supported by"
 				     " target\n");
@@ -5783,7 +5783,7 @@ vect_grouped_load_supported (tree vectype, bool single_element_p,
         }
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_FAILURE,
 		     "extract even/odd not supported by target\n");
   return false;
@@ -6126,7 +6126,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       vec_perm_indices indices (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "shuffle of 2 fields structure is not \
 			      supported by target\n");
@@ -6141,7 +6141,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       indices.new_vector (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "shuffle of 2 fields structure is not \
 			      supported by target\n");
@@ -6156,7 +6156,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       indices.new_vector (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "shift permutation is not supported by target\n");
 	  return false;
@@ -6172,7 +6172,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       indices.new_vector (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "select is not supported by target\n");
 	  return false;
@@ -6236,7 +6236,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       vec_perm_indices indices (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "shuffle of 3 fields structure is not \
 			      supported by target\n");
@@ -6251,7 +6251,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       indices.new_vector (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "shift permutation is not supported by target\n");
 	  return false;
@@ -6265,7 +6265,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       indices.new_vector (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "shift permutation is not supported by target\n");
 	  return false;
@@ -6279,7 +6279,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       indices.new_vector (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "shift permutation is not supported by target\n");
 	  return false;
@@ -6293,7 +6293,7 @@ vect_shift_permute_load_chain (vec<tree> dr_chain,
       indices.new_vector (sel, 2, nelt);
       if (!can_vec_perm_const_p (TYPE_MODE (vectype), indices))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "shift permutation is not supported by target\n");
 	  return false;
